Subject: 8 x 18 Lathe for sale

From: [email-masked] (Linus Hicks)
Date: Mon, 19 Dec 94 18:26:19 GMT

Lathe has a Craftsman nameplate on it, but is the same one being sold
by Blue Ridge Machinery as the Compact-8 for $2,095. I have none of the
optional accessories like a chuck or the change gear set for doing
threads, but Blue Ridge does carry them. Never used - pristine condition.

Make offer.

Linus